CVE-2012-5374 (retired)

Priority
Description
The CRC32C feature in the Btrfs implementation in the Linux kernel before
3.8-rc1 allows local users to cause a denial of service (extended runtime
of kernel code) by creating many different files whose names are associated
with the same CRC32C hash value.
Ubuntu-Description
A denial of service flaw was discovered in the Btrfs file system in the
Linux kernel. A local user could cause a denial of service by creating a
large number of files with names that have the same CRC32 hash value.
Notes
 jdstrand> Per kernel team, patch is too intrusive to backport
Package
Source: linux (LP Ubuntu Debian)
Upstream:released (3.8~rc1)
Ubuntu 14.04 LTS (Trusty Tahr):not-affected (3.11.0-12.19)
Patches:
Introduced by 39279cc3d2704cfbf9c35dcb5bdd392159ae4625Fixed by 9c52057c698fb96f8f07e7a4bcf4801a092bda89
Package
Upstream:released (3.8~rc1)
Ubuntu 14.04 LTS (Trusty Tahr):DNE
Package
Upstream:released (3.8~rc1)
Ubuntu 14.04 LTS (Trusty Tahr):DNE
Package
Upstream:released (3.8~rc1)
Ubuntu 14.04 LTS (Trusty Tahr):ignored (was needed now end-of-life)
Package
Upstream:released (3.8~rc1)
Ubuntu 14.04 LTS (Trusty Tahr):DNE
Package
Upstream:released (3.8~rc1)
Ubuntu 14.04 LTS (Trusty Tahr):ignored (was needed now end-of-life)
Package
Upstream:released (3.8~rc1)
Ubuntu 14.04 LTS (Trusty Tahr):ignored (see note)
Package
Upstream:released (3.8~rc1)
Ubuntu 14.04 LTS (Trusty Tahr):DNE
Package
Upstream:released (3.8~rc1)
Ubuntu 14.04 LTS (Trusty Tahr):DNE
Package
Upstream:released (3.8~rc1)
Ubuntu 14.04 LTS (Trusty Tahr):DNE
Package
Upstream:released (3.8~rc1)
Ubuntu 14.04 LTS (Trusty Tahr):DNE
Package
Upstream:released (3.8~rc1)
Ubuntu 14.04 LTS (Trusty Tahr):DNE
Package
Upstream:released (3.8~rc1)
Ubuntu 14.04 LTS (Trusty Tahr):DNE
Patches:
Package
Upstream:released (3.8~rc1)
Ubuntu 14.04 LTS (Trusty Tahr):DNE
Package
Upstream:released (3.8~rc1)
Ubuntu 14.04 LTS (Trusty Tahr):DNE
Package
Upstream:released (3.8~rc1)
Ubuntu 14.04 LTS (Trusty Tahr):DNE
Package
Upstream:released (3.8~rc1)
Ubuntu 14.04 LTS (Trusty Tahr):ignored (see note)
Package
Upstream:released (3.8~rc1)
Ubuntu 14.04 LTS (Trusty Tahr):ignored (was needed now end-of-life)
Package
Upstream:released (3.8~rc1)
Ubuntu 14.04 LTS (Trusty Tahr):ignored (was needed now end-of-life)
Package
Upstream:released (3.8~rc1)
Ubuntu 14.04 LTS (Trusty Tahr):DNE
Package
Upstream:released (3.8~rc1)
Ubuntu 14.04 LTS (Trusty Tahr):DNE
Package
Upstream:released (3.8~rc1)
Ubuntu 14.04 LTS (Trusty Tahr):DNE
More Information

Updated: 2019-03-26 12:04:44 UTC (commit ccdecfcf0fead22bd291e5f4ea745a46872dcb15)